<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee', function (Blueprint $table) {
            $table->id();
            $table->enum('position', ['Entrenador', 'Recepcionista', 'Limpieza', 'Administrador']);
            $table->date('hire_date');
            $table->decimal('salary', 10, 2);
            $table->string('work_schedule');
            $table->string('specialty')->nullable(); //para entrenadores
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee');
    }
};
